//=============================================================================
// HudReversedCTF.
//=============================================================================
class HudReversedCTF extends HudCCaptureTheFlag;

function Timer()
{
  local int OtherTeam;
  
  Super(HudBTeamDeathMatch).Timer();
  
    if ( PawnOwnerPRI == None || PlayerOwner.IsSpectating() )
        return;
  
  if ( PawnOwnerPRI.HasFlag != None )
    PlayerOwner.ReceiveLocalizedMessage(class'ReversedCTFHUDMessage', 0);
  
  if ( PlayerOwner.GameReplicationInfo != None && PlayerOwner.PlayerReplicationInfo.Team != None ) {
    if ( PlayerOwner.PlayerReplicationInfo.Team.TeamIndex == 0 )
      OtherTeam = 1;
    else
      OtherTeam = 0;
    
    if ( PlayerOwner.GameReplicationInfo.FlagState[OtherTeam] == EFlagState.FLAG_HeldFriendly )
      PlayerOwner.ReceiveLocalizedMessage(class'ReversedCTFHUDMessage', 1);
  }
}

